SimpleConnectionHandle (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.datasource

## Class SimpleConnectionHandle

- java.lang.Object
- - org.springframework.jdbc.datasource.SimpleConnectionHandle

- All Implemented Interfaces:
    ConnectionHandle

      public class SimpleConnectionHandle
      extends Object
      implements ConnectionHandle

  Simple implementation of the `ConnectionHandle` interface, containing a given JDBC Connection.
  Since:
    1.1
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleConnectionHandle(Connection connection)` Create a new SimpleConnectionHandle for the given Connection.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()` Return the specified Connection as-is.
    `void` | `releaseConnection(Connection con)` This implementation is empty, as we're using a standard Connection handle that does not have to be released.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleConnectionHandle

          public SimpleConnectionHandle(Connection connection)

      Create a new SimpleConnectionHandle for the given Connection.
      Parameters:
        `connection` - the JDBC Connection

  - ### Method Detail

    - #### getConnection

          public Connection getConnection()

      Return the specified Connection as-is.
      Specified by:
        `getConnection` in interface `ConnectionHandle`

    - #### releaseConnection

          public void releaseConnection(Connection con)

      This implementation is empty, as we're using a standard Connection handle that does not have to be released.
      Specified by:
        `releaseConnection` in interface `ConnectionHandle`
      Parameters:
        `con` - the JDBC Connection to release

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`